/*
	IC Edit Pref AppleEvents.c
	
*/

#include <AppleEvents.h>

#include "IC Globals.h"
#include "IC Document.h"
#include "IC Edit Pref AppleEvents.h"

#include "IC Window Globals.h"

pascal OSErr HandleEditPrefAE(AppleEvent* event,AppleEvent* reply,long ignored){
	Str255 key;
	DescType typ;
	Size actualSize;
	FSSpec fs;
	Boolean usefss=true,usecurrent=false;
	OSErr err;
	
	err=AEGetParamPtr(event,EPDestination,typeFSS,&typ,&fs,sizeof(FSSpec),&actualSize);
	if (err!=noErr){
		usefss=false;
		usecurrent=true;
		
		if (AEGetParamPtr(event,EPDestination,typeBoolean,&typ,&fs,sizeof(FSSpec),&actualSize)==noErr)
			usecurrent=false;
	}
	
	err=AEGetParamPtr(event,keyDirectObject,typeChar,&typ,&key[1],255,&actualSize);
	if (err!=noErr)
		actualSize=0;
	
	key[0]=(unsigned char)(actualSize&0x000000ff);
	
	err=EditPreference(key,&fs,usefss,usecurrent);
	return err;
}

void SetupEditPrefAppleEvent(void){
	if (Has_AppleEvents){
		AEInstallEventHandler(EPSuite,EPEvent,gHandleEditPrefAE,0,false);
	}
}
