/*
	IC Install.h
	
*/

#pragma once

#ifndef __H_IC_Install__
#define __H_IC_Install__

#ifdef __cplusplus
extern "C" {
#endif

long GetVersionFromResFile(void);
long GetRegisteredVersion(void);
Boolean IsInstalled(FSSpec* where);
void UpdateInstalledVersion(FSSpec* fss);
OSErr SaveComponentToFile(FSSpec* fss);
OSErr RegisterFile(FSSpec* fss);
OSErr SaveICComponent(void);
OSErr JustInstallICComponent(void);
OSErr InstallICComponent(void);
OSErr RemoveICComponent(void);
void AdjustInstallMenu(short menu);
void DoInstallMenu(short menu,short item);
OSErr CheckICUsageVersion(void);
OSErr InitializeComponentInstallation(void);

#ifdef __cplusplus
}
#endif

#endif /* __H_IC_Install__ */


