/*
	IC StrH.h
	
	Header file for IC StrH.c
	
*/

#pragma once

#ifndef __H_IC_StrH__
#define __H_IC_StrH__

typedef short LineIndex,* IndexPtr,** IndexHandle;

#ifdef __cplusplus
extern "C" {
#endif

Handle NewStrH(void);
void ReinitStrh(Handle h);

LineIndex CountStrsH(Handle h);
LineIndex CountStrs(short id);

StringPtr GetIndStr(short strListID,short index,StringPtr str);
StringPtr GetIndStrH(Handle h,LineIndex index,StringPtr s);

void SetIndStrH(Handle h,LineIndex index,StringPtr s);
void SetIndStr(short id,LineIndex index,StringPtr s);

void DelIndStrH(Handle h,LineIndex index);
void DelIndStr(short id,LineIndex index);

void InsIndStrH(Handle h,LineIndex index,StringPtr s);
void InsIndString(short id,LineIndex index,StringPtr s);

#ifdef __cplusplus
}
#endif

#endif /* __H_IC_StrH__ */

