/*
	IC Helper What.h
	
*/

#pragma once

#ifndef __H_IC_Helper_What__
#define __H_IC_Helper_What__

#include "IC Types.h"

enum {
	ditHChange=1,
	ditHMainUserItem,
	ditHAdd,
	ditHDelete,
	ditHList
};

enum {
	ditHOK=1,
	ditHCancel,
	ditHAddUserItem,
	ditHHelper,
	ditHAppName,
	ditHChooseApplication
};

#define kCellHeight 36

struct InternalAppSpecStruct {
	Str255 key;
	Boolean locked;
	ICAppSpec appspec;
};

typedef struct InternalAppSpecStruct InternalAppSpec;

#ifdef __cplusplus
extern "C" {
#endif

void GetNthElement(Handle entries,short index,InternalAppSpec* res);
void SetNthElement(Handle entries,short index,InternalAppSpec* res);
Boolean EntryLocked(Handle entries,short index);
void DimHelperButtons(WindowType wt);
pascal void HelperUserItemUpdate(DialogPtr dlg,short item);
void HelperLDDraw(Handle entries,Boolean select,Rect* r,Cell the_cell,short offset,short datalen,ListHandle lh);
pascal void HelperLDEF(short message,Boolean select,Rect* r,Cell the_cell,short offset,short datalen,ListHandle lh);
OSErr WhatOpenHelper(WindowType wt,short item);
Boolean ChooseApplication(ICAppSpec* spec);
void FixButton(DialogPtr dlg);
pascal Boolean DoAddFilter(DialogPtr dlg,EventRecord* er,short* item);
OSErr DoEdit(Handle entries,ListHandle lh,InternalAppSpec* choosen_app);
OSErr DoAdd(Handle entries,ListHandle lh);
OSErr DoChange(short selection,Handle entries,ListHandle lh);
OSErr DoDelete(short selection,Handle entries,ListHandle lh);
OSErr WhatClickHelper(WindowType wt,short item,EventRecord* er);
OSErr WhatFlushHelper(WindowType wt,short item);
OSErr WhatCloseHelper(WindowType wt,short item);
OSErr WhatActivateHelper(WindowType wt,short item,Boolean activate);
pascal StringPtr GetHelpEntryName(ListHandle list,Cell c,StringPtr str);
OSErr WhatKeyHelper(WindowType wt,short item,EventRecord* er);
OSErr WhatCursorHelper(WindowType wt,short item,Point pt,short cursorid);
void HelperSetSelection(StringPtr key);

#ifdef __cplusplus
}
#endif

#endif /* __H_IC_Helper_What__ */


