/*
	StandardGetFolder.h
	
	See StandardGetFolder.c for detailed description.
	
*/

#pragma once

#ifndef __H_StandardGetFolder__
#define __H_StandardGetFolder__

// Resource IDs
#define rGetFolderButton  10
#define rGetFolderMessage  11
#define rGetFolderSelectString  12
#define kFolderBit  0x0010
#define rGetFolderDialog  2008

typedef short* IntPtr;
typedef long* LongPtr;
typedef StandardFileReply* StandardFileReplyPtr;

#ifdef __cplusplus
extern "C" {
#endif

pascal Boolean MyCustomGetDirectoryFileFilter(CInfoPBRec* myPB,Ptr myDataPtr);
void SetButtonTitle(DialogPtr theDialog,StringPtr name);
void SetFolderButtonTitle(DialogPtr dlg,short vrn,long dirID);
pascal short MyCustomGetDirectoryDlogHook(short item,DialogPtr theDialog,Ptr myDataPtr);

void GetSFLocation(short* vrn,long* dirID);
void SetSFLocation(short vrn,long dirID);
void StandardGetFolder(Point where,StringPtr message,StandardFileReply* mySFReply);

#ifdef __cplusplus
}
#endif

#endif /* __H_StandardGetFolder__ */

