/*
	IC Text Whats.h
	
*/

#pragma once

#ifndef __H_IC_Text_Whats__
#define __H_IC_Text_Whats__

#define tf_single_line 0
#define tf_pstring 1
#define tf_scrambled 2
#define tf_monospace 3

#define tf_single_line_mask 0x0001
#define tf_pstring_mask 0x0002
#define tf_scrambled_mask 0x0004
#define tf_monospace_mask 0x0008

#ifdef __cplusplus
extern "C" {
#endif

pascal void DrawTextProc(DialogPtr window,short item);
Boolean HaveTextSelection(WindowType wt);
void AdjustTextMenu(WindowType wt);
void JustSelectTextItem(WindowType wt,short item);
void SelectTextItem(WindowType wt,short item);
void DoTextMenu(WindowType wt,short menuitem);
Boolean BlockCompare(Ptr lhs,Ptr rhs,long size);
void ScrambleHandle(Handle texth);
void BlockFill(Ptr p,long size,char value);
OSErr WhatOpenText(WindowType wt,short item);
OSErr WhatFlushText(WindowType wt,short item);
OSErr WhatCloseText(WindowType wt,short item);
OSErr WhatClickText(WindowType wt,short item,EventRecord* er);
OSErr WhatKeyText(WindowType wt,short item,EventRecord* er);

#ifdef __cplusplus
}
#endif

#endif /* __H_IC_Text_Whats__ */

