/*
	RequiredEventSupport.h
	
	Header file for RequiredEventSupport.c
	
	Also specifies the UPP stuff for general AppleEvent handling procedures.
	
*/

#pragma once

#ifndef __H_RequiredEventSupport__
#define __H_RequiredEventSupport__

#include "IC Window Globals.h"

#ifdef __cplusplus
extern "C" {
#endif

OSErr InitAppleEvents(ApplicationUPP oapp,DocumentUPP odoc,
	DocumentUPP pdoc,ApplicationUPP quit);

OSErr GotRequiredParams(AppleEvent* theAppleEvent);

#ifdef __cplusplus
}
#endif

#endif /* __H_RequiredEventSupport__ */















