/*
	IC Subs.c
	
*/

#include "IC Types.h"
#include "IC Keys.h"
#include "IC API.h"

#include "IC Subs.h"

OSErr ICMapErr(ICError icerr){
	if ((icerr<-32768)||(icerr>32767))
		return icInternalErr;
	return (OSErr)icerr;
}

ICError ICGetPrefStr(ICInstance inst,StringPtr key,ICAttr* attr,StringPtr str){
	ICError err;
	long size;
	
	size=256L;
	err=ICGetPref(inst,key,attr,(Ptr)str,&size);
	if (err!=noErr)
		str[0]=0;
	
	return err;
}

ICError ICSetPrefStr(ICInstance inst,StringPtr key,ICAttr attr,StringPtr str){
	return ICSetPref(inst,key,attr,(Ptr)str,str[0]+1);
}

