/*
	IC IconSuites.h
	
*/

#pragma once

#ifndef __H_IC_IconSuites__
#define __H_IC_IconSuites__

#define cache_max 20

#define kDocSuiteID -4000
#define kAppSuiteID -3996

#if defined(powerc) || defined (__powerc)
#pragma options align=mac68k
#endif
struct CacheStruct {
	long usage;
	OSType ftype;
	OSType fcreator;
	Handle suite;
};
#if defined(powerc) || defined (__powerc)
#pragma options align=reset
#endif

typedef struct CacheStruct CacheRecord;

#ifdef __cplusplus
extern "C" {
#endif

Boolean GetTheIcon(DTPBRec* pbdt,SignedByte icon_to_get,OSType fcreator,OSType ftype,short dtrn);
OSErr GetDTDBIcon(OSType ftype,OSType fcreator,short* cookie,SignedByte icon_to_get,DTPBRec* pbdt);
OSErr GetDTDBIconH(OSType ftype,OSType fcreator,short* cookie,SignedByte icon_to_get,Handle* iconh);
OSErr GetDTDBAddSuite(Handle suite,OSType ftype,OSType fcreator,short* cookie,SignedByte icon_to_get,OSType icon_to_put);
OSErr GetDTDBIconSuiteUncached(OSType ftype,OSType fcreator,Handle* suite);
OSErr GetDTDBIconSuiteCached(OSType ftype,OSType fcreator,Handle* suite);
void InitICIconSuites(void);

#ifdef __cplusplus
}
#endif

#endif /* __H_IC_IconSuites__ */


